- Qt 6.10
- Qt State Machine
- C++ Classes
- WrappedEvent
- Qt 6.10.2 Reference Documentation

# QStateMachine::WrappedEvent Class

class QStateMachine::WrappedEvent

The WrappedEvent class inherits QEvent and holds a clone of an event associated with a QObject. More...

- List of all members, including inherited members

## Public Functions

virtual | ~WrappedEvent()
QEvent * | event() const
QObject * | object() const

## Detailed Description

A wrapped event is generated by a QStateMachine in response to a Qt event. The QEventTransition class provides a transition associated with a such an event. QStateMachine::WrappedEvent is part of Qt State Machine Overview.

The object() function returns the object that generated the event. The event() function returns a clone of the original event.

See also QEventTransition.

## Member Function Documentation

### `[virtual noexcept]` WrappedEvent::~WrappedEvent()

Destroys this WrappedEvent.

### QEvent *WrappedEvent::event() const

Returns a clone of the original event.

### QObject *WrappedEvent::object() const

Returns the object that the event is associated with.